Name:           python-kgb
Version:        7.1.1
Release:    	2%{?dist}
Summary:        Intercept and record calls to functions
License:        MIT
URL:            https://github.com/beanbaginc/kgb
Source0:        %{pypi_source kgb}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest


%global _description %{expand:
Ever deal with a large test suite before, monkey patching functions to figure
out whether it was called as expected? It’s a dirty job. If you’re not careful,
you can make a mess of things. Leave behind evidence.

kgb’s spies will take care of that little problem for you.

What are spies? Spies intercept and record calls to functions. They can report
on how many times a function was called and with what arguments. They can allow
the function call to go through as normal, to block it, or to reroute it to
another function.

Spies are awesome.

(If you’ve used Jasmine, you know this.)

Spies are like mocks, but better. You’re not mocking the world. You’re
replacing very specific function logic, or listening to functions without
altering them.}

%description %_description

%package -n python3-kgb
Summary:        %{summary}


%description -n python3-kgb %_description


%package -n python3-kgb-tests
Summary:        Unit tests for python3-kgb
Requires:       python3-kgb = %{version}-%{release}


%description -n python3-kgb-tests
Unit tests for python3-kgb


%prep
%autosetup -p1 -n kgb-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install

%check
%pytest --pyargs kgb

%files -n  python3-kgb
%license LICENSE
%doc README.rst NEWS.rst AUTHORS
%{python3_sitelib}/kgb/
%exclude %{python3_sitelib}/kgb/tests/
%{python3_sitelib}/kgb-%{version}.dist-info/

%files -n python3-kgb-tests
%{python3_sitelib}/kgb/tests/


%changelog
* Tue Sep 3 2024 Ze Zhang <bbrucezhang@tencent.com> - 7.1.1-2
- [Type] other
- [DESC] Rebrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 7.1.1-1
- initial build
